;Input:		var(HL),A
;Output:	ExpoVar = var(HL) ^ A
;			A = 0

ExponentVar64:
 ld de,TempVar3
 ld bc,8
 ldir
 ld hl,ExpoVar
 push hl
 ld c,a
 call ZeroVar
 pop hl
 ld a,c
 ld (hl),1
EV64_Loop:
 srl a
 push af
 jr nc,EV64_NoMult
 MULT(TempVar3, ExpoVar)
 LD_VAR(ExpoVar, ProdVar)
EV64_NoMult:
 LD_VAR(TempVar4, TempVar3)
 MULT(TempVar3, TempVar4)
 LD_VAR(TempVar3, ProdVar)
 pop af
 jr nz,EV64_Loop
 ret
