;Input:	Var(HL)
;		(CURSOR_ROW),(CURSOR_COL) = row,column
;Output:	Var(HL) is inputted with a non-zero number

InputVar:
 ld (SaveHL),hl
 call ZeroVar
IV_Loop:
 halt
 call GET_KEY
 or a
 jr z,IV_Loop
 cp K_ENTER
 jr nz,IV_NotDone
 ld hl,(SaveHL)
 call ChZeroVar
 ret nz
 jr IV_Loop
IV_NotDone:
 ld hl,NumberTable+9
 ld bc,10
 cpdr
 jr nz,IV_Loop
 ld a,c
 ld hl,(SaveHL)
 push af
 add a,'0'
 call TX_CHARPUT
 ld a,10
 push hl
 call MultiplyVar8
 pop hl
 push hl
 call ZeroVar
 pop de
 pop af
 ld (de),a
 ld hl,ProdVar
 call AddVar
 jr IV_Loop

NumberTable:
.db $21,$22,$1A,$12,$23,$1B,$13,$24,$1C,$14


;Input:	Var(HL)
;		(CURSOR_ROW),(CURSOR_COL) = row,column
;Output:	Var(HL) displayed

DisplayVar:
 ld de,TempVar
 ld bc,8
 ldir
 ld de,BCDBuffEnd
 xor a
 ld (de),a
DV_Loop:
 push de
 DIV8(TempVar, 10)
 pop de
 dec de
 add a,'0'
 ld (de),a
 CHZERO(TempVar)
 jr nz,DV_Loop
 ex de,hl
 jp D_ZT_STR
