;Input:		var(HL),var(DE)
;Output:	TempVar = 0
;			TempVar2 = trash
;			ProdVar = var(HL) * var(DE)
;			A = 0

MultiplyVar64:
 push de
 ld de,TempVar
 ld bc,8
 ldir			;TempVar = var(HL)
 pop hl
 ld de,TempVar2
 push de
 ld c,8
 ldir			;TempVar2 = var(DE)
 ZERO(ProdVar)	;ProdVar = 0
 pop hl			;HL -> TempVar2 = var(DE)

 ld de,TempVar	;DE -> TempVar = var(HL)
 push hl
 push de
 call CPVar		;var(HL) - var(DE)
 pop de
 pop hl
 call c,ExVar	;if var(HL) > var(DE), exchange (so var(HL) < var(DE))
 or a			;clear carry
MV64_Loop:
 RR(TempVar)	;rotate bit 0 out of multiplier
 jr nc,MV64_NoAdd	;if NC, jump
 ADD(ProdVar, TempVar2)	;else, add multiplicand
MV64_NoAdd:
 SL(TempVar2)	;double multiplicand
 CHZERO(TempVar)	;check if multiplier = 0
 jr nz,MV64_Loop	;continue until = 0
 ret
