;Input:		Var(HL),A
;Output:	ProdVar = Var(HL) * A
;			TempVar = trash
;			A = B = C = 0
;			DE,HL destroyed

MultiplyVar8:
 ld de,TempVar
 ld bc,8
 ldir			;TempVar = var(HL)
 ld c,a			;C = multiplier
 ZERO(ProdVar)	;ProdVar = 0
MV8_Loop:
 srl c			;shift out bit 0 of multiplier
 jr nc,MV8_NoAdd	;if no carry, don't add
 push af		;save flags (ZF, particularly)
 ADD(ProdVar, TempVar)	;add multiplicand to product
 pop af
MV8_NoAdd:
 ret z			;return if multiplier = 0
 SL(TempVar)	;else, double multiplicand
 jr MV8_Loop
